---
Lint dockerfiles 2.3-minimal:
  extends: .hadolint_lint_template
  variables:
    DOCKERFILE: "./containers/2.3-minimal/Dockerfile"

Build container image 2.3-minimal:
  extends: .build_docker_template
  variables:
    BUILD_TAG: "2.3-minimal"

Publish container image 2.3-minimal:
  extends: .publish_docker
  variables:
    BUILD_TAG: "2.3-minimal"
  parallel:
    matrix:
      - PUBLISH_TAG: "$GITHUB_TAG-minimal"
        GITHUB_TAG:
          # renovate: datasource=github-tags depName=savonet/liquidsoap-release-assets
          - "2.3.1"
      - PUBLISH_TAG:
          - "2.3-minimal"

Container scanning 2.3-minimal:
  extends: .container_scanning
  variables:
    BUILD_TAG: "2.3-minimal"
    PUBLISH_TAG: "2.3-minimal"
